org.richfaces.component

## Class UIFileUpload

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - org.richfaces.component.UIFileUpload

- All Implemented Interfaces:
    javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder
  Direct Known Subclasses:
    HtmlFileUpload

      public abstract class UIFileUpload
      extends javax.faces.component.UIInput

  JSF component class

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY` The standard component family for this component.
    `static java.lang.String` | `COMPONENT_TYPE` The standard component type for this component.

    - ### Fields inherited from class javax.faces.component.UIInput

      `CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIFileUpload()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFileUploadListener(org.richfaces.event.FileUploadListener listener)`
    `void` | `broadcast(javax.faces.event.FacesEvent e)`
    `abstract java.lang.String` | `getAcceptedTypes()`
    `java.util.Locale` | `getAsLocale(java.lang.Object locale)`
    `abstract javax.faces.el.MethodBinding` | `getFileUploadListener()`
    `org.richfaces.event.FileUploadListener[]` | `getFileUploadListeners()`
    `abstract java.lang.String` | `getListHeight()`
    `abstract java.lang.String` | `getListWidth()`
    `java.lang.String` | `getLocalContentType()`
    `abstract java.lang.Object` | `getLocale()`
    `java.lang.String` | `getLocalFileName()`
    `java.lang.Integer` | `getLocalFileSize()`
    `java.io.InputStream` | `getLocalInputStream()`
    `abstract java.lang.Integer` | `getMaxFilesQuantity()`
    `abstract java.lang.String` | `getStyle()`
    `abstract java.lang.String` | `getStyleClass()`
    `java.util.Locale` | `parseLocale(java.lang.String localeStr)` Parse Locale from String.
    `void` | `removeFileUploadListener(org.richfaces.event.FileUploadListener listener)`
    `void` | `reset()`
    `abstract void` | `setAcceptedTypes(java.lang.String acceptedTypes)`
    `abstract void` | `setFileUploadListener(javax.faces.el.MethodBinding scrollerListener)`
    `abstract void` | `setListHeight(java.lang.String listHeight)`
    `abstract void` | `setListWidth(java.lang.String listWidth)`
    `void` | `setLocalContentType(java.lang.String localContentType)`
    `abstract void` | `setLocale(java.lang.Object locale)`
    `void` | `setLocalFileName(java.lang.String localFileName)`
    `void` | `setLocalFileSize(java.lang.Integer localFileSize)`
    `void` | `setLocalInputStream(java.io.InputStream localInputStream)`
    `abstract void` | `setMaxFilesQuantity(java.lang.Integer maxFilesQuantity)`
    `abstract void` | `setStyle(java.lang.String style)`
    `abstract void` | `setStyleClass(java.lang.String styleClass)`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, compareValues, decode, getConvertedValue, getConverterMessage, getFamily, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, getValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, getValue, setConverter`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      The standard component type for this component.

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      The standard component family for this component.

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIFileUpload

          public UIFileUpload()

  - ### Method Detail

    - #### getLocalContentType

          public java.lang.String getLocalContentType()

    - #### setLocalContentType

          public void setLocalContentType(java.lang.String localContentType)

    - #### getLocalFileName

          public java.lang.String getLocalFileName()

    - #### setLocalFileName

          public void setLocalFileName(java.lang.String localFileName)

    - #### getLocalFileSize

          public java.lang.Integer getLocalFileSize()

    - #### setLocalFileSize

          public void setLocalFileSize(java.lang.Integer localFileSize)

    - #### getLocalInputStream

          public java.io.InputStream getLocalInputStream()

    - #### setLocalInputStream

          public void setLocalInputStream(java.io.InputStream localInputStream)

    - #### setAcceptedTypes

          public abstract void setAcceptedTypes(java.lang.String acceptedTypes)

    - #### getAcceptedTypes

          public abstract java.lang.String getAcceptedTypes()

    - #### getMaxFilesQuantity

          public abstract java.lang.Integer getMaxFilesQuantity()

    - #### setMaxFilesQuantity

          public abstract void setMaxFilesQuantity(java.lang.Integer maxFilesQuantity)

    - #### getListHeight

          public abstract java.lang.String getListHeight()

    - #### setListHeight

          public abstract void setListHeight(java.lang.String listHeight)

    - #### getListWidth

          public abstract java.lang.String getListWidth()

    - #### setListWidth

          public abstract void setListWidth(java.lang.String listWidth)

    - #### getStyleClass

          public abstract java.lang.String getStyleClass()

    - #### getStyle

          public abstract java.lang.String getStyle()

    - #### setStyleClass

          public abstract void setStyleClass(java.lang.String styleClass)

    - #### setStyle

          public abstract void setStyle(java.lang.String style)

    - #### getLocale

          public abstract java.lang.Object getLocale()

    - #### setLocale

          public abstract void setLocale(java.lang.Object locale)

    - #### getFileUploadListener

          public abstract javax.faces.el.MethodBinding getFileUploadListener()

    - #### setFileUploadListener

          public abstract void setFileUploadListener(javax.faces.el.MethodBinding scrollerListener)

    - #### addFileUploadListener

          public void addFileUploadListener(org.richfaces.event.FileUploadListener listener)

    - #### getFileUploadListeners

          public org.richfaces.event.FileUploadListener[] getFileUploadListeners()

    - #### removeFileUploadListener

          public void removeFileUploadListener(org.richfaces.event.FileUploadListener listener)

    - #### reset

          public void reset()

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent e)

      Overrides:
        `broadcast` in class `javax.faces.component.UIComponentBase`

    - #### parseLocale

          public java.util.Locale parseLocale(java.lang.String localeStr)

      Parse Locale from String. String must be represented as Locale.toString(); xx_XX_XXXX

    - #### getAsLocale

          public java.util.Locale getAsLocale(java.lang.Object locale)

Copyright © 2014. All Rights Reserved.